xmltooling::Namespace Class Reference

A data structure for encapsulating XML Namespace attributes. More...

`#include <xmltooling/Namespace.h>`

## Public Types

enum | namespace_usage_t { Indeterminate , NonVisiblyUsed , VisiblyUsed }
| Tri-state indicator of namespace usage.

## Public Member Functions

| Namespace (const XMLCh *uri=0, const XMLCh *prefix=0, bool alwaysDeclare=false, namespace_usage_t usage=Indeterminate)
| Constructor.
const XMLCh * | getNamespacePrefix () const
| Returns the namespace prefix.
const XMLCh * | getNamespaceURI () const
| Returns the namespace URI.
bool | alwaysDeclare () const
| Returns true iff the namespace should always be declared regardless of in-scope declarations.
namespace_usage_t | usage () const
| Returns the usage of the namespace by an XMLObject.
void | setNamespacePrefix (const XMLCh *prefix)
| Sets the namespace prefix.
void | setNamespaceURI (const XMLCh *uri)
| Sets the namespace URI.
void | setAlwaysDeclare (bool alwaysDeclare)
| Sets the alwaysDeclared property.
void | setUsage (namespace_usage_t usage)
| Sets the usage property.

## Detailed Description

A data structure for encapsulating XML Namespace attributes.

## Constructor & Destructor Documentation

## Namespace()

xmltooling::Namespace::Namespace | ( | const XMLCh * | uri = 0,
|  | const XMLCh * | prefix = 0,
|  | bool | alwaysDeclare = false,
|  | namespace_usage_t | usage = Indeterminate )

Constructor.

Parameters

  uri | namespace URI
  prefix | namespace prefix (without the colon)
  alwaysDeclare | true iff the namespace should always be declared regardless of in-scope declarations
  usage | indicates usage of namespace in the context of an XMLObject

## Member Function Documentation

## alwaysDeclare()

bool xmltooling::Namespace::alwaysDeclare | ( |  | ) | const

inline

Returns true iff the namespace should always be declared regardless of in-scope declarations.

Returns
  the alwaysDeclared setting

## getNamespacePrefix()

const XMLCh * xmltooling::Namespace::getNamespacePrefix | ( |  | ) | const

inline

Returns the namespace prefix.

Returns
  Null-terminated Unicode string containing the prefix, without the colon

## getNamespaceURI()

const XMLCh * xmltooling::Namespace::getNamespaceURI | ( |  | ) | const

inline

Returns the namespace URI.

Returns
  Null-terminated Unicode string containing the URI

## setAlwaysDeclare()

void xmltooling::Namespace::setAlwaysDeclare | ( | bool | alwaysDeclare | ) |

inline

Sets the alwaysDeclared property.

Parameters

  alwaysDeclare | true iff the namespace should always be declared regardless of in-scope declarations

## setNamespacePrefix()

void xmltooling::Namespace::setNamespacePrefix | ( | const XMLCh * | prefix | ) |

Sets the namespace prefix.

Parameters

  prefix | Null-terminated Unicode string containing the prefix, without the colon

## setNamespaceURI()

void xmltooling::Namespace::setNamespaceURI | ( | const XMLCh * | uri | ) |

Sets the namespace URI.

Parameters

  uri | Null-terminated Unicode string containing the URI

## setUsage()

void xmltooling::Namespace::setUsage | ( | namespace_usage_t | usage | ) |

inline

Sets the usage property.

Parameters

  usage | usage of the namespace by an XMLObject

## usage()

namespace_usage_t xmltooling::Namespace::usage | ( |  | ) | const

inline

Returns the usage of the namespace by an XMLObject.

Returns
  the usage setting

The documentation for this class was generated from the following file:

- xmltooling/Namespace.h